Issue #8676 has been reported by jiayp / glodon.com (延平 ?).

----------------------------------------
Bug #8676: ruby 2.0 can not require or load the source file with utf-8 encoding and non-asii chars
https://bugs.ruby-lang.org/issues/8676

Author: jiayp / glodon.com (延平 ?)
Status: Open
Priority: Normal
Assignee: 
Category: platform/mingw
Target version: 
ruby -v: ruby 2.0.0p277 (2013-07-23 revision 42121) [i386-mingw32]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


Sorry for my poor english:)
I attached the patch to fix the problem, but I don't know is it the right way.

Changelog:
*include/ruby/intern.h  change the declaration of "rb_load_file"?change parameter from char* to VALUE
*load.c change the caller
*ruby.c change the "rb_load_file"'s implement
*win32/file.c change the win32 api call from ANSI type to UNICODE type.



-- 
http://bugs.ruby-lang.org/